package ink.wgink.util.remote.rest.handler;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

/**
 * @ClassName: RestRemoterHandler
 * @Description: Rest远程调用
 * @Author: wanggeng
 * @Date: 2021/9/18 5:14 下午
 * @Version: 1.0
 */
public class RestRemoteHandler implements InvocationHandler {

    @Override
    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable {
        System.out.println(method.getDeclaringClass().getClassLoader());
        // 否则执行统一接口处理方法
        return method.invoke(this, args);
    }

    public Object run() {
        return "run";
    }

}
